QGIS Application - Bug report #6845

Zoom in/out area on master looks as a solid grey rectangle

2012-12-09 03:53 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression
Assignee: Marco Hugentobler
Category: GUI

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: fixed

Copied to github as #: 15981

Description

it happens on master/windows.

when you zoom in/out by dragging the mouse the area is no more a translucent rectangle but a solid grey one.

See attached image.

History

#1 - 2012-12-09 02:50 PM - Salvatore Larosa

same here on Linux (see image: http:/Irssvt.ns0.it/img/zoom_rect.png)

#2 - 2012-12-09 03:14 PM - Salvatore Larosa

I think it is due to commit:b777b51147e7b9ea0d89d480273d4d8240c9b594

tools select, measure etc are also affected !

#3 - 2012-12-09 03:25 PM - Giovanni Manghi

- Assignee set to Marco Hugentobler

Salvatore Larosa wrote:

I think it is due to commit:b777b51147e7b9ea0d89d480273d4d8240c9b594

tools select, measure etc are also affected !

#4 - 2012-12-10 02:39 PM - Larry Shaffer

Can not replicate on Mac. The marquee on mouse drag is still transparent here.

#5 - 2012-12-10 02:47 PM - Salvatore Larosa
http://lrssvt.ns0.it/img/zoom_rect.png

Hi Larry,

could you test Measure Line tool too ? or Select Features by Rectangle ?

In the video what happen to me!

http://Irssvt.ns0.it/img/rubberBand.ogv

#6 - 2012-12-10 02:53 PM - Larry Shaffer

Hi Salvatore,

Same thing, no issues. Not seeing the greyed-out fill like in your video.

The Measure Line dialog now gets sent to behind main window (in window stacking order) on measure tool's second click, but that's a different bug.

#7 - 2012-12-10 05:22 PM - Werner Macho

confirmed here on LinuxMint with fresh master (11.Dec.2012)

Strange behavior detected:

measuring tool (angle): it is dependant if is start top-down (nothing happens) or bottom-up (every 2-3 try the screen gets completely grey)

measuring tool (line): | cannot see any line drawn any more. Line is not visible (if there is any)

Zoom: in or out - always getting a grey rectangle like in the png from Salvatore

Select Feature (rectangle): Also getting grey rectangle but not every time .. sometimes it is transparent again.. and sometimes it is transparent with a thick
grey border .. unfortunately the amount of tries to get it transparent is unpredictable and therefore not reproduceable

Also selecting by polygon, freehand or radius is producing a non transparent grey rectangle.

#8 - 2012-12-10 10:44 PM - Nathan Woodrow

Confirmed here on XP with master at version afde353

#9 - 2012-12-13 11:52 PM - Matthias Kuhn

Should be solved in
https://github.com/qgis/Quantum-GIS/pull/357

#10 - 2012-12-13 11:57 PM - Matthias Kuhn
- Status changed from Open to Closed

fixed in commit:d997863

#11 - 2012-12-16 04:58 PM - Giovanni Manghi
- File Capture.PNG added

- File grass_region.png added

- Status changed from Closed to Reopened
http://lrssvt.ns0.it/img/rubberBand.ogv
https://github.com/qgis/Quantum-GIS/pull/357

There is still something wrong with the GRASS region frame (and area, when manually defining a region).

See attached images.

Also the grass region frame does not show as used to be.

#12 - 2012-12-20 04:36 AM - Giovanni Manghi

- Status changed from Reopened to Closed

| will file another ticket about the GRASS region issue.

#13 - 2012-12-20 04:37 AM - Giovanni Manghi

- Resolution set to fixed

Files

grey.png 201 KB 2012-12-09 Giovanni Manghi
Capture.PNG 450 KB 2012-12-16 Giovanni Manghi
grass_region.png 183 KB 2012-12-16 Giovanni Manghi
